# $Id: Makefile.in,v 1.34 2002/03/29 20:15:58 m-hirano Exp $
# $RWC_Release: Omni-1.6 $
# $RWC_Copyright:
#  Omni Compiler Software Version 1.5-1.6
#  Copyright (C) 2002 PC Cluster Consortium
#  
#  This software is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License version
#  2.1 published by the Free Software Foundation.
#  
#  Omni Compiler Software Version 1.0-1.4
#  Copyright (C) 1999, 2000, 2001.
#   Tsukuba Research Center, Real World Computing Partnership, Japan.
#  
#  Please check the Copyright and License information in the files named
#  COPYRIGHT and LICENSE under the top  directory of the Omni Compiler
#  Software release kit.
#  
#  
#  $

all:	makeAll

DIRS	=	./include \
		@EXC_JAVADIR@ @jexcDir@ @LIBOMPST_DIR@ @LIBOMPSM_DIR@ \
		@LIBOGR_DIR@ lib/libompc lib/libf2c lib/libtlog lib/runtime \
		C-front Cxx-front F-front tools/driver tools/wrapper \
		@BENCHTOOL_DIR@ @TLOGVIEW_DIR@ @JMPSTAT_DIR@ @EXAMPLES_DIR@ doc

makeAll:
	for i in $(DIRS); do \
		(cd $$i; LANG=C LC_ALL=C $(MAKE)); \
	done;

install:
	for i in $(DIRS); do \
		(cd $$i; LANG=C LC_ALL=C $(MAKE) DESTDIR=$(DESTDIR) install); \
	done;

clean:
	for i in $(DIRS); do \
		(cd $$i; LANG=C LC_ALL=C $(MAKE) clean); \
	done;

distclean:
	for i in $(DIRS); do \
		(cd $$i; LANG=C LC_ALL=C $(MAKE) distclean); \
	done;
	if test "x@useJava@" = "xno"; then \
		find . -name '*.class' -print | xargs rm -f ; \
	fi
	rm -rf config.* Makefile *~ ./lib/libompst/Makefile \
		./tests/F-test/Makefile ./tests/F-test/OMP-test/Makefile \
		./utils/genjar ./include/omniConfig.h ./include/omniBackend.h \
		./.defsTmp.* \
		exc-tools-java/exc/Makefile \
		exc-tools-java/exc/object/Xcodegen/Makefile \
		lib/libompsm/Makefile tests/Makefile \
		tests/C-test/Makefile tests/cg/Makefile \
		tests/laplace/Makefile tests/laplace-f77/Makefile \
		tests/tiny/Makefile tools/jmpstat/Makefile \
		tools/tlogview/Makefile tools/benchtool/Makefile

Makefile::
	@if test -x ./config.status; then \
		sh ./config.status; \
	fi;

Makefiles:	Makefile
